Bug 200212 - [ml_IN] Zero-Width-Joiner(ZWJ) is visible in the text.
[ml_IN] Zero-Width-Joiner(ZWJ) is visible in the text.
Product: Fedora
Classification: Fedora
Component: firstboot (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
: i18n
Depends On:
  Show dependency treegraph
Reported: 2006-07-26 04:16 EDT by Satyabrata Maitra
Modified: 2007-11-30 17:11 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-17 14:39:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
screenshot-1 (52.37 KB, image/png)
2006-07-26 04:16 EDT, Satyabrata Maitra
no flags Details
Screenshot-2 (72.96 KB, image/png)
2006-07-26 04:17 EDT, Satyabrata Maitra
no flags Details
Screenshot-3 (51.05 KB, image/png)
2006-07-26 04:28 EDT, Satyabrata Maitra
no flags Details
Gedit's text for Malalayam (12.94 KB, image/png)
2006-08-02 04:07 EDT, A S Alam
no flags Details

  None (edit)
Description Satyabrata Maitra 2006-07-26 04:16:41 EDT
Description of problem:
in ml_IN, the zero-width-non-joiner, unicode 200D is visible which should not be
ever visible. 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Run Command (LANG=ml_IN.UTF-8; firstboot --reconfig --debug)
2. Click on Forward button
3. Reach on the Page. (Refer to seceenshots)
4. Observe the Texts.
Actual results:
Zero-Width-Joiner is visible.

Expected results:

Zero-Width-Joiner should never be visible.

Additional info:
Comment 1 Satyabrata Maitra 2006-07-26 04:16:41 EDT
Created attachment 133053 [details]
Comment 2 Satyabrata Maitra 2006-07-26 04:17:57 EDT
Created attachment 133054 [details]
Comment 3 Leon Ho 2006-07-26 04:24:22 EDT
Satya, I am sure firstboot has not done any special rendering stuff. So can you
double check if gedit has the same problem please?
Comment 4 Satyabrata Maitra 2006-07-26 04:28:06 EDT
Created attachment 133055 [details]
Comment 5 A S Alam 2006-08-02 04:07:10 EDT
Created attachment 133466 [details]
Gedit's text for Malalayam

Gedit Screenshot for this issue 
where 3rd line for screenshot is showing same text at attachment 133054 [details]
Comment 6 Jens Petersen 2006-08-07 03:03:39 EDT
This problem is specific to firstboot?
Comment 7 Jens Petersen 2006-08-08 00:48:59 EDT
LingNing, do you have any idea about this?
Comment 8 Liang Zhang 2006-08-09 01:58:03 EDT
It looks like the bug about (U+0x0d30) + (U+0x0d4d) + (U+0x200d).
I have fixed this bug in the newest pango.
Then (U+0x0d30) + (U+0x0d4d) + (U+0x200d) can display a new glyph. And U+0x200d
will not display.
Comment 9 Chris Lumens 2006-08-14 13:56:57 EDT
This still looks broken to me on today's Rawhide.
Comment 10 Liang Zhang 2006-08-14 21:41:08 EDT
which version do you use pango?
I think pango-1.14 has already fixed this bug.
Comment 11 Chris Lumens 2006-08-15 12:44:50 EDT
This was pango-1.14.0.  Perhaps someone else more familiar with what should be
going on should check.
Comment 12 Jens Petersen 2006-08-16 06:36:05 EDT
I don't see any change either testing with pango-1.14.0-2
and firstboot-1.4.19-1 (rawhide-20060814).
Comment 13 Liang Zhang 2006-08-17 03:32:27 EDT
Do you use the new font file of Malayalam?
It is very important.
Comment 14 Jens Petersen 2006-08-17 03:35:50 EDT
Probably not: fonts-malayalam-2.0-2?
Comment 15 Chris Lumens 2006-08-17 10:07:53 EDT
When did the new fonts go in?
Comment 16 Chris Lumens 2006-08-17 14:39:06 EDT
Looks good in rawhide-20060817.

Note You need to log in before you can comment on or make changes to this bug.